package com.xhpc.payment.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.payment.domain.XhpcRefundAudit;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 退款审核信息 服务层
 *
 * @author ruoyi
 */
public interface IXhpcRefundAuditService {

    /**
     * 新增 退款审核
     *
     * @param xhpcRefundAudit 退款审核
     */
    public AjaxResult insert(XhpcRefundAudit xhpcRefundAudit);

    /**
     * 退款审核列表
     *
     * @param refundOrderId
     * @return
     */
    public List<Map<String, Object>> list(Long refundOrderId);

    //社区人员退款
    int updateCommunityPersonnelMoney(Long communityPersonnelId, BigDecimal surplusMoney,Integer isRefundApplication);

    //查询社区人员信息
    Map<String, Object> getCommunityPersonnelById(Long userId,String tenantId);

    Map<String, Object> getXhpcAppInternetUserById(Long userId,String tenantId);
}